# Uses of Class
org.eclipse.ecf.remoteservice.RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration

Packages that use RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration
Package
Description
org.eclipse.ecf.remoteservice

## Uses of RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice with parameters of type RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration
Modifier and Type
Method
Description
`protected abstract Map<String,Object>`
AbstractRSAContainer.`exportRemoteService(RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration registration)`
Export an endpoint specified by the RSARemoteServiceRegistration.
`protected abstract void`
AbstractRSAContainer.`unexportRemoteService(RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration registration)`
Unregister the endpoint for the given RSARemoteServiceRegistration.